autocad2004 vba
trying to create an arc using
center point , start point , and total angle
can someone please help with the commands for doing this
thanks
acad2004 - vba
I want to be able to replace text strings in a drawing
I have written a program which calcs perameters for a drawing
the drawing is not to scale so all i am trying to do is replace items with the calced value
Private Sub cmdCreatePart_Click()
xxx = Replace("DimA", DimA, XX)
End...
I have a program which draws a part based on user inputs
What i need to do is start a new drawing when the draw button is toggled
right now you have to start a new drawing before running the program
any ideas ?
thanks in advance
does anyone see a problem with this sub
i am getting the following error
object library feature not supported
we are using ACAD2004
Sub DrawAlignedDimension()
StartPoint(0) = 0
StartPoint(1) = 0
StartPoint(2) = 0
EndPoint(0) = -txtXDIM
EndPoint(1) = 0
EndPoint(2) = 0
SetTextPosition_horz...
I am trying to add a linear dimension to a drawing
and i am having trouble figuring out the parematers for adding a linear dimension
any examples would be much appricated..
I am having trouble with getting acrobat to do background printing
i use the following command
"C:\\progra~1\\adobe\\acrobat5.0\\reader\\AcroRd32.exe /t \"%s\\%s\" 8100ENG2 \"HP LaserJet 8100 Series PCL 6\" IP_172.24.62.182"
but what seems to happen is the file is loaded into acrobat and...
i use the split command to get two items from the lines i read in a part number and a description
i have run into a problem with it not wanting to split as i thought it would
Open "Y:\MTA" + Text1.Text + "PN" For Input As #xfile
'Load integer values MyArray
Dim strArray() As String...
Is there a way in acad2000 or 2004 to
enclose something like a connection on
a structure and select it for use as a detail ?
on our current cad system we have something called
cut select which allows us to enclosed an area
and cut/select this for use as details...
i have been trying to create a lisp program that will draw a slot but am having problems with it not sure where the problem is
it will not draw the slot to correct size
any help would be appricated
thanks
(defun C:SLOT (/ A B B1 B2 C D PW)
(setq PW (getvar"PLINEWID"))
(initget 1)
(setq...
I have one machine that if i try to load the character map by selecting
symbols - other
it says unable to load
i have tryed several things with no luck
any ideas ?
I have one machine that when we print from it
the letters are not filled....
so if you zoom up in the preview window
the letters are hollow...or not filled...
and ideas
i can take the same file to a different machine
and it prints fine...
something has been changed...just not sure what
found this on another site
Option Explicit
Public Property Get Pi()
Pi = 3.14159265358979
End Property
Private Sub AcadDocument_BeginDoubleClick(ByVal PickPoint As Variant)
On Error GoTo Err_Control
Dim selectionSetObject As AcadSelectionSet
Dim objEnt As AcadEntity...
i have a vba script offset.vba
that i would like to be able to use from a menu command
not sure how to call vba scripts from menu commands
any suggestions would be appricated
thanks
FATAL ERROR: Unhandled Access Violation Writing 0xa000092c Exception at 33202d96h
03/29/2004 at 13:33:30.140 Drawing: C:\Program Files\ACAD2000\85DOME\new046130\046130CD4.dwg
any ideas on this ????